Subject: bug#73932: [PATCH] Add noconfirm to 'package-autoremove'

From: Sean Devlin <[email-masked]>
Date: Tue, 5 Nov 2024 12:45:54 -0500

Hi folks,

> On Oct 28, 2024, at 10:48 AM, Sean Devlin <[email-masked]> wrote:
> 
> Hi folks,
> 
>> On Oct 27, 2024, at 5:53 AM, Stefan Kangas <[email-masked]> wrote:
>> 
>> Philip Kaludercic <[email-masked]> writes:
>> 
>>> Is the variation interesting, where NOCONFIRM is a predicate so that
>>> we can selectively remove packages?
>> 
>> Do you have a use case in mind?
>> 
>>>> Sure, that might make sense. If we do that, should we do the same in package-install-selected-packages? It uses its NOCONFIRM argument in a similar way.
>>> 
>>> We can do that in a subsequent patch.
>> 
>> Feel free to post such a patch, indeed.  Thanks in advance.
> 
> Here’s two patches:
> 
> <0001-Add-noconfirm-to-package-autoremove.patch><0002-Use-prefix-argument-in-package-install-selected-pack.patch>
> 
> The first is the same as before, but it adds the prefix argument usage Eli suggested.
> 
> The second patch adds a matching prefix argument to package-install-selected-packages (if this is desired).
> 
> I didn’t implement a predicate option for NOCONFIRM yet, since I couldn’t think of a use case, and the intended semantics are not quite clear to me.
> 
> Please let me know what else is needed, and thanks!

Are there any outstanding issues? If so, how can I help resolve them?

Thanks!